Bug 320041 - (CVE-2007-5191) CVE-2007-5191 util-linux (u)mount doesn't drop privileges properly when calling helpers
CVE-2007-5191 util-linux (u)mount doesn't drop privileges properly when calli...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=moderate,source=vendorsec,repo...
: Reopened, Security
Depends On: 320131 320141 324421 324431 324441 324451 324461 324471
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-05 08:41 EDT by Tomas Hoger
Modified: 2008-01-14 10:01 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.13-0.54.1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-14 10:01:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2007-10-05 08:41:29 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-5191 to the following vulnerability:

mount and umount in util-linux call the setuid and setgid functions in the
wrong order and do not check the return values, which might allow attackers to
gain privileges via helpers such as mount.nfs.

References:
http://git.kernel.org/?p=utils/util-linux-ng/util-linux-ng.git;a=commit;h=ebbeb2c7ac1b00b6083905957837a271e80b187e
Comment 4 Fedora Update System 2007-10-10 15:33:30 EDT
util-linux-2.13-0.54.1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Red Hat Product Security 2008-01-14 10:01:36 EST
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2007-0969.html

Fedora:
  https://admin.fedoraproject.org/updates/F7/FEDORA-2007-2462


Note You need to log in before you can comment on or make changes to this bug.